Subject: Re: Tool-bar changes

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 May 2008 14:19:29 -0400

> The problem was the the use of plist-get and plist-put in
> tool-bar-make-keymap failed to account for the format of menu-item
> lists, which can contain an optional KEY-BINDING-DATA entry that screws
> up the property list ordering.  I just checked in a fix.

Thank you.  I wonder why it never hit me.... Oh yes now I remember:
I threw away this caching code in my own Emacs (I threw it out a long
time ago, i.e. when I added the where-is-internal reverse keymap cache,
since this made on-the-fly recomputation sufficiently fast for me to
make the cache unnecessary (or even harmful since it's not correctly
maaintained: when the cache key-sequence becomes invalid, it is
correclty thrown out, but if a key-sequence becomes later available,
the cache will prevent it from being discovered)).

        Stefan